Subject: [OPSAWG] review draft-ietf-opsawg-coman-use-cases-02 and draft-ietf-opsawg-coman-probstate-reqs-01

From: Qin Wang <[email-masked]>
Date: Sun, 10 Aug 2014 09:32:24 -0700

Dear authors,

I'm working in 6TiSCH WG. I believe many of the use cases described in
draft-ietf-opsawg-coman-use-cases-02 will employ TSCH of IEEE802.15.4, and
therefore 6top sublayer defined by 6TiSCH WG. Thus, IMHO, it is necessary to
take not only the management requirements from those use cases, but also the management
functionality of these protocols into consideration.
 
Basically, there are two management modes
in 6TiSCH networks, i.e. centralized, decentralized. Under decentralized mode,
neighbor nodes need to exchange management data, such as the neighbor’s
schedules, specifying which timeslots and which channels have be used, so as to allocate new communication resource collaboratively. 

According
to my understanding, the current management architecture/system (section 3.1) will support centralized management, hierarchical management, and distributed management (i.e multi local managers), but does not support this kind of peer-to-peer management, which also results in that “Security and Access Control” does not cover the peer-to-peer management. If
it is true, I would suggest to add the peer-to-peer management into management architecture/system,
and also consider it in other related sections. What do you think?
 
Typo in draft-ietf-opsawg-coman-probstate-reqs-01
P14. “Constrained devices often implement a combination of one
of FL0-FL2
with one of ML0-ML1.” Should
“FL0-FL2” be “CL0-CL2”?

Thanks
Qin